List Pipeline Triggers

gethttps://statsigapi.net/console/v1/release_pipeline_triggers

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Query parameters

releasePipelineIDstring

Filter by Release Pipeline ID

gateIDstring

Filter by Gate ID

dynamicConfigIDstring

Filter by Dynamic Config ID

statusstring

Filter by Status

startDatestring

Filter by the start date of the date range of the trigger's creation date in UTC, inclusive

endDatestring

Filter by the end date of the date range of the trigger's creation date in UTC, inclusive (i.e. until the end of the day); defaults to today's date if not provided

limitinteger

Results per page

pageinteger

Page number

Response

application/json
200· List pipeline triggers success
messagestringrequired

A simple string explaining the result of the operation.

dataobject[]required
Show child attributes
id[]stringrequired

Trigger ID

releasePipelineID[]stringrequired

Release Pipeline ID

actions[]object[]required

Actions

type[]oneOfrequired
timeMs[]numberrequired
phaseID[]stringrequired
actorID[]string
actorName[]stringrequired
creatorID[]stringrequired

Trigger Creator ID

createdTime[]numberrequired

Trigger Creation Time

description[]string

Optional description for this trigger

gateID[]string

Gate ID

dynamicConfigID[]string

Dynamic Config ID

lastModifierID[]stringrequired

Last modifier ID

lastModifierName[]stringrequired

Last modifier name

configSnapshotID[]string

The snapshot of the config that this trigger is releasing

status[]stringrequired

Pipeline status with this trigger

currentPhase[]stringrequired

Current phase

currentPhaseID[]stringrequired

Current phase ID

currentPhaseEndTime[]numberrequired

Current phase end time

paginationobjectrequired

Pagination metadata for checking if there is next page for example.

Was this helpful?